Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000871FirmwareGeneral Featurespublic2013-10-15 20:072014-02-18 23:05
ReporterMatthijs 
Assigned ToFred 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.2.0-SNAPSHOT 
Target Version0.2.1Fixed in Version 
Summary0000871: Benchtest firmware fires(primes) all outputs (incl ignition) at power on
DescriptionWhen the S12 is powered, Fuel Pump prime is active and the outputs are primed 1 pulse including the ignition ports
Steps To ReproduceFlash benchtest to targer, power on target
Additional InformationFred is awesome
TagsNo tags attached.
FirmwareVersion
Issue TypeBug
Risk of Breakagemedium
Attached Files

- Relationships

-  Notes
User avatar (0002721)
sean94z (reporter)
2013-10-16 03:45

There is a lot of missing information in your report. None the less I had a look at the code and I did spot an issue with the priming of xgate controlled injectors. FYI if you are, you should not use xgate for ign control unless your have a very low RPM engine. There are software delays of a few micro-seconds. While these microseconds don't mean anything when it comes to fueling, the same is not true with ignition.

commit 850596785ab0dfcdb09b43aad3fdfdb88e3996bc
Author: Sean Keys <skeys@ipdatasys.com>
Date: Tue Oct 15 20:46:00 2013 -0700

    Fixed injector priming loop for XGATE controled injectors.
User avatar (0002722)
sean94z (reporter)
2013-10-16 03:46

Oh and thanks for filing a report :)
User avatar (0002723)
Fred (administrator)
2013-10-16 06:16

There is no missing information from this report. Nevertheless, there is an error in it, there are no ignition pins in BenchTest, what he meant was that his ignition pins are *configured* as injectors in BenchTest, but, he's a user, I know that because I wrote it. Both your comments and commit are not relevant to this issue, whatsoever. However I did have a chuckle when I reviewed the commit, nice bug.

Given that hash is on a temp branch and will cease to exist, posted here for prosperity:

- XGOutputEvents[0].channelID = outputEventNumber;
+ XGOutputEvents[0].channelID = fixedConfigs1.schedulingSettings.xgateOutputChannel[outputEventNumber];
User avatar (0002724)
Fred (administrator)
2013-10-16 06:17

Reopening, do NOT resolve issues that are NOT fixed!!!
User avatar (0002733)
sean94z (reporter)
2013-10-16 20:28

Yep, a bug introduced when I added the ability to change what XGATE channel you want associated to which output event channel.

"Reopening, do NOT resolve issues that are NOT fixed!!!" obviously


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker